PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures | Enumerations
Data Structures
PDL API Reference » TCPWM (Timer Counter PWM) » Timer/Counter (TCPWM)

## General Description

## Data Structures
struct | cy_stc_tcpwm_counter_config_t
| Counter Timer configuration structure. More...

## Enumerations
enum | cy_en_counter_direction_t { CY_TCPWM_COUNTER_DIRECTION_DISABLE = 0UL , CY_TCPWM_COUNTER_DIRECTION_FALLING = 1UL , CY_TCPWM_COUNTER_DIRECTION_RISING = 2UL , CY_TCPWM_COUNTER_DIRECTION_LEVEL = 3UL }
| Counter Direction modes More...

## Data Structure Documentation

## ◆ cy_stc_tcpwm_counter_config_t

struct cy_stc_tcpwm_counter_config_t

Data Fields
uint32_t | period | Sets the period of the counter.
uint32_t | clockPrescaler | Sets the clock prescaler inside the TCPWM block. See Counter CLK Prescalers
uint32_t | runMode | Sets the run mode. See Counter Run Modes
uint32_t | countDirection | Sets the counter direction. See Counter Direction
uint32_t | compareOrCapture | The counter can either compare or capture a value. See Counter Compare Capture
uint32_t | compare0 | Sets the value for Compare0.
uint32_t | compare1 | Sets the value for Compare1.
bool | enableCompareSwap | If enabled, the compare values are swapped each time the comparison is true.
uint32_t | interruptSources | Enabled an interrupt on the terminal count, capture or compare. See Interrupt Sources
uint32_t | captureInputMode | Configures how the capture input behaves. See Input Modes
uint32_t | captureInput | Selects which input the capture uses, the inputs are device-specific. See TCPWM Input Selection
uint32_t | reloadInputMode | Configures how the reload input behaves. See Input Modes
uint32_t | reloadInput | Selects which input the reload uses, the inputs are device-specific. See TCPWM Input Selection
uint32_t | startInputMode | Configures how the start input behaves. See Input Modes
uint32_t | startInput | Selects which input the start uses, the inputs are device-specific. See TCPWM Input Selection
uint32_t | stopInputMode | Configures how the stop input behaves. See Input Modes
uint32_t | stopInput | Selects which input the stop uses, the inputs are device-specific. See TCPWM Input Selection
uint32_t | countInputMode | Configures how the count input behaves. See Input Modes
uint32_t | countInput | Selects which input the count uses, the inputs are device-specific. See TCPWM Input Selection
uint32_t | capture1InputMode | Configures how the capture1 input behaves. See Input Modes
uint32_t | capture1Input | Selects which input the capture1 uses, the inputs are device-specific.
bool | enableCompare1Swap | See TCPWM Input Selection. If enabled, the compare1 values are swapped each time the comparison is true
uint32_t | compare2 | Sets the value for Compare1
uint32_t | compare3 | Sets the value for the buffered Compare1.
uint32_t | trigger0Event | Configures which internal event generates on output trigger 0.
uint32_t | trigger1Event | Configures which internal event generates on output trigger 1.
bool | buffer_swap_enable | Configures swapping mechanism between CC0 and buffered CC0, CC1 and buffered CC1, PERIOD and buffered PERIOD, DT and buffered DT
cy_en_counter_direction_t | direction_mode | Counter direction mode.
bool | glitch_filter_enable | Enables Glitch filter for input triggers.
cy_en_gf_depth_value_t | gf_depth | Glitch filter depth value.

## Enumeration Type Documentation

## ◆ cy_en_counter_direction_t

enum cy_en_counter_direction_t

Counter Direction modes

Enumerator
CY_TCPWM_COUNTER_DIRECTION_DISABLE | Counter changes current count direction is disabled.
CY_TCPWM_COUNTER_DIRECTION_FALLING | Counter changes current count direction based on falling edge of capture0 input.
CY_TCPWM_COUNTER_DIRECTION_RISING | Counter changes current count direction based on rising edge of capture0 input.
CY_TCPWM_COUNTER_DIRECTION_LEVEL | Counter count increase when capture0 level equal to high, counter count decrease when capture0 level equals to low.